> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/knowledge-base/how-to-articles/configure-yubikey-multifactor-authentication.md).

# Configure Yubikey multifactor authentication

Configure Yubikey multifactor authentication in Remote Desktop Manager to require a Yubico OTP code at application startup.

Remote Desktop Manager allows you to configure a Yubikey to provide an additional security layer when the application starts.

{% hint style="warning" %}
Before starting the configuration, make sure you have a [Yubikey](https://www.yubico.com/) in your possession. Also, Remote Desktop Manager only support the Yubico OTP at this time.
{% endhint %}

1. Insert the Yubikey into a USB port of your computer.
2. Click on ***File*** – ***Settings*** – ***Security*** and check ***Require Yubikey authentication*** in the ***Multifactor authentication*** section. Press and hold the gold button on the Yubikey to have the code in Remote Desktop Manager and click ***OK***.
3. Relaunch Remote Desktop Manager to be prompted for a Yubikey code.
4. Press and hold the gold button on the Yubikey and access will be granted.

### See also

* [Configure Multi-factor-authentification in Remote Desktop Manager](https://academy.devolutions.net/student/page/2745736-configure-multi-factor-authentification-in-remote-desktop-manager?curriculum_activity_id=4146028\&path_id=2628397\&sid=6b463cb0-a447-42c1-89fa-4ac51e5a7eaa\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/knowledge-base/how-to-articles/configure-yubikey-multifactor-authentication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
